API ReferenceSequencesSequenceidEmailsEmailid
Update an email within a sequence
When templateId is supplied, it must identify a marketing template; transactional templates return 422 template_not_marketing.
When templateId is supplied, it must identify a marketing template; transactional templates return 422 template_not_marketing.
x-sendlit-apikey<token>
In: header
Path Parameters
sequenceId*string
emailId*string
Request Body
application/json
Body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.sendlit.dev/sequences/string/emails/string" \ -H "Content-Type: application/json" \ -d '{}'{
"sequenceId": "string",
"type": "string",
"title": "string",
"status": "string",
"deliverySource": {
"type": "organization"
},
"triggerType": "string",
"triggerData": "string",
"filter": null,
"excludeFilter": null,
"emailsOrder": [
"string"
],
"entrants": [
"string"
],
"report": null,
"createdAt": "string",
"updatedAt": "string",
"emails": [
{
"emailId": "string",
"subject": "string",
"content": {
"style": {
"property1": null,
"property2": null
},
"meta": {
"property1": null,
"property2": null
},
"content": [
{
"property1": null,
"property2": null
}
]
},
"delayInMillis": 0,
"published": true,
"templateId": "string",
"actionType": "string",
"actionData": {
"property1": null,
"property2": null
},
"createdAt": "string",
"updatedAt": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "template_not_marketing"
}